"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.BaseConfig = void 0;
/**
 * Babel API
 */
class BaseConfig {
    constructor() {
        /**
         * Name
         */
        this.name = '@roots/bud-babel';
        /**
         * Accessor: plugins
         */
        this._plugins = {};
        /**
         * Accessor: presets
         */
        this._presets = {};
        /**
         * Accessor: enabledPlugins
         */
        this._enabledPlugins = [];
        /**
         * Accessor: enabledPresets
         */
        this._enabledPresets = [];
    }
    get app() {
        return this._app();
    }
    set app(app) {
        this._app = app.get;
    }
    get plugins() {
        this.log.info('Getting babel plugins');
        this.log.debug(this._plugins);
        return this._plugins;
    }
    set plugins(plugins) {
        this.log.info('Setting babel plugins');
        this.log.debug(plugins);
        this._plugins = plugins;
    }
    get presets() {
        this.log.info('Getting babel presets');
        this.log.debug(this._presets);
        return this._presets;
    }
    set presets(presets) {
        this.log.info('Setting babel presets');
        this.log.debug(presets);
        this._presets = presets;
    }
    get enabledPlugins() {
        return this._enabledPlugins;
    }
    set enabledPlugins(plugins) {
        this._enabledPlugins = plugins;
    }
    get enabledPresets() {
        return this._enabledPresets;
    }
    set enabledPresets(presets) {
        this._enabledPresets = presets;
    }
    /**
     * Accessor: hasProjectConfig
     */
    get hasProjectConfig() {
        const project = this.app.disk.get('project');
        return (project.has('babel.config.js') || project.has('.babelrc'));
    }
}
exports.BaseConfig = BaseConfig;
//# sourceMappingURL=BaseConfig.js.map