import type { Babel, Framework } from '@roots/bud-framework';
import { BaseConfig } from './BaseConfig';
/**
 * Babel API
 */
export declare class Config extends BaseConfig implements Babel {
    /**
     * Initialize
     */
    init(app: Framework): this;
    /**
     * Normalize entry
     */
    normalizeEntry(c: Babel.Registrable): Babel.NormalizedPlugin;
    /**
     * Set a babel plugin
     */
    setPlugin(plugin: Babel.Registrable): this;
    /**
     * Set babel plugins
     */
    setPlugins(plugins: Array<Babel.NormalizedPlugin | string>): this;
    /**
     * Set a babel preset
     */
    setPreset(preset: Babel.Registrable): this;
    /**
     * Set babel presets
     */
    setPresets(presets: Array<Babel.NormalizedPlugin | string>): this;
    /**
     * Unset a babel preset
     */
    unsetPreset(preset: string): this;
    /**
     * Unset a babel plugin
     */
    unsetPlugin(plugin: string): this;
    /**
     * Set a babel plugin's options
     */
    setPluginOptions(plugin: string, options: any): this;
    /**
     * Set a babel preset's options
     */
    setPresetOptions(preset: string, options: any): this;
}
//# sourceMappingURL=index.d.ts.map